Agents

Agent activity feed

GET
/api/v1/agents/runs

Recent agent runs with the tools each used and the decision it reached.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default25
offset?integer
Range0 <= value
Default0
agent_name?string|null
channel?|
Match^(web|voice)$
merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/agents/runs"
{  "data": {    "avg_duration_ms": 0,    "completed_runs": 0,    "failed_runs": 0,    "items": [      {        "agent_label": "string",        "agent_name": "string",        "channel": "web",        "confidence": 0,        "created_at": "2019-08-24T14:15:22Z",        "decision": "string",        "duration_ms": 0,        "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",        "status": "string",        "title": "string",        "tools_used": [          "string"        ],        "used_fallback": false,        "workflow": "string"      }    ],    "top_tools": [      {}    ],    "total_runs": 0  },  "meta": {},  "success": true}